import React, { PureComponent } from "react";

class TelegramIcon extends PureComponent {
    render() {
        return (
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 19.549 16.405">
                <path
                    fill="currentColor"
                    d="M86.345,134.637c-.751.727-1.491,1.448-2.23,2.169a1.169,1.169,0,0,1-.916.373.466.466,0,0,1-.47-.36c-.562-1.747-1.136-3.494-1.7-5.248a.41.41,0,0,0-.305-.305c-1.326-.4-2.657-.819-3.977-1.24a2.318,2.318,0,0,1-.586-.269.417.417,0,0,1-.067-.7,2.624,2.624,0,0,1,.776-.483c1.625-.641,3.256-1.265,4.887-1.894q6.2-2.392,12.407-4.789a.884.884,0,0,1,1.307.977,16.413,16.413,0,0,1-.305,1.619q-1.347,6.359-2.7,12.725c-.214,1.008-.922,1.271-1.747.66q-2.08-1.53-4.16-3.073C86.491,134.741,86.424,134.692,86.345,134.637Zm-3.116,1.289c.018-.006.031-.006.049-.012.006-.043.018-.079.024-.116.092-.959.183-1.924.263-2.883a.727.727,0,0,1,.25-.513c1.277-1.142,2.554-2.3,3.824-3.445q2.117-1.906,4.227-3.818a1.276,1.276,0,0,0,.183-.324,1.285,1.285,0,0,0-.4-.037,1.74,1.74,0,0,0-.464.232q-4.664,2.941-9.335,5.883a.277.277,0,0,0-.141.4c.232.66.44,1.326.654,1.992C82.655,134.161,82.942,135.046,83.229,135.926Z"
                    transform="translate(-75.931 -121.789)"
                />
            </svg>
        );
    }
}

export default TelegramIcon;
